const Layout = () => import("@/layout/index.vue");

export default {
  path: '/dataSource',
  componnet: Layout,
  name: 'DataSource',
  redirect: '/dataSource/receiveLendingLedger',
  meta: {
    title: '数据源',
    icon: 'system'
  },
  children: [
     {
      path: '/receiveLendingLedger',
      name: 'ReceiveLendingLedger',
      component: () => import('@/views/dataSource/receiveLendingLedger/index.vue'),
      meta: {
        title: '收放款台账'
      },
    },
    {
      path: '/businessLedger',
      name: 'BusinessLedger',
      component: () => import('@/views/dataSource/businessLedger/index.vue'),
      meta: {
        title: '业务台账'
      },
    },
    {
      path: '/financialReport',
      name: 'FinancialReport',
      component: () => import('@/views/dataSource/financialStatement/index.vue'),
      meta: {
        title: '财务报表',
        showParent: true
      },
      children: [
        {
          path: '/financialReport/financialReportAdd',
          name: 'FinancialReportAdd',
          component: () => import('@/views/dataSource/financialStatement/Add.vue'),
          meta: {
            title: '新增财务报表',
            activePath: '/financialReport',
            showLink: false
          },
        },
        {
          path: '/financialReport/financialReportDetail',
          name: 'FinancialReportDetail',
          component: () => import('@/views/dataSource/financialStatement/Detail.vue'),
          meta: {
            title: '财务报表查看',
            activePath: '/financialReport',
            showLink: false
          },
        }
      ]
    },
    {
      path: '/m3Manage',
      name: 'M3IncomeManage',
      component: () => import('@/views/dataSource/m3Manage/index.vue'),
      meta: {
        title: 'M3收入管理'
      },
      children: [
        {
          path: '/m3Manage/m3ManageAdd',
          name: 'M3ManageAdd',
          component: () => import('@/views/dataSource/m3Manage/Add.vue'),
          meta: {
            title: '新增M3收入',
            activePath: '/m3Manage',
            showLink: false
          },
        },
      ]
    },
    {
      path: '/chargeManage',
      name: 'ChargeManage',
      component: () => import('@/views/dataSource/chargeManage/index.vue'),
      meta: {
        title: '费用管理'
      },
      children: [
        {
          path: '/chargeManage/chargeManageAdd',
          name: 'ChargeManageAdd',
          component: () => import('@/views/dataSource/chargeManage/Add.vue'),
          meta: {
            title: '新增费用管理',
            showParent: true,
            activePath: '/chargeManage',
            showLink: false
          },
        },
        {
          path: '/chargeManage/chargeManageEdit',
          name: 'ChargeManageEdit',
          component: () => import('@/views/dataSource/chargeManage/Edit.vue'),
          meta: {
            title: '费用管理编辑',
            showParent: true,
            activePath: '/chargeManage',
            showLink: false
          },
        },
        {
          path: '/chargeManage/chargeManageDetail',
          name: 'ChargeManageDetail',
          component: () => import('@/views/dataSource/chargeManage/Detail.vue'),
          meta: {
            title: '费用管理详情',
            showParent: true,
            activePath: '/chargeManage',
            showLink: false
          },
        }
      ]
    },
    {
      path: '/costManage',
      name: 'CostManage',
      component: () => import('@/views/dataSource/costManage/index.vue'),
      meta: {
        title: '成本管理'
      },
    }
  ]
}
