import { ref } from 'vue'
import router from '@/router/index'

export function useColumns() {
  const columns: TableColumnList = [
    {
      type: 'selection',
    },
    {
      label: '序号',
      type: 'index',
      width: 55,
    },
    {
      label: '业务编号',
      prop: 'name',
      showOverflowTooltip: true
    },
    {
      label: '客户名称',
      prop: 'name',
      showOverflowTooltip: true
    },
    {
      label: '合同编号',
      prop: 'remark',
      showOverflowTooltip: true
    },
    {
      label: '支用批次',
      prop: 'remark',
      showOverflowTooltip: true
    },
    {
      label: '项目经理',
      prop: 'remark',
      showOverflowTooltip: true
    },
    {
      label: '所属部门',
      prop: 'remark',
      showOverflowTooltip: true
    },
    {
      label: '产品类型',
      prop: 'remark',
      showOverflowTooltip: true
    },
    {
      label: '支用金额',
      prop: 'remark',
      showOverflowTooltip: true
    },
    {
      label: '剩余待还本金',
      prop: 'remark',
      showOverflowTooltip: true,
      width: '140'
    },
    {
      label: '修正状态-财务',
      prop: 'remark',
      showOverflowTooltip: true,
      width: '140'
    },
    {
      label: '修正状态-再融资',
      prop: 'remark',
      showOverflowTooltip: true,
      width: '160'
    },
    {
      label: '操作',
      cellRenderer: ({ index, row }) => (
        <>
          <el-button size="small">
            Edit
          </el-button>
        </>
      )
    }
  ]

  const handleOperate = (rows: any, type?: string) => {
    router.push({
      path: '/logDetail',
      query: { id: rows.id }
    })
  }

  const tableData = ref<any[]>([])
  const total = ref<number>(0)

  const handleSelectionChange = (val) => {
    console.log(val, 11111111)
  }

  return {
    columns,
    tableData,
    total,
    handleSelectionChange
  }
}
